Developer ยท API reference
Sentiment
The tone of how AI answers talk about your brand.
Sentiment classifies the language AI models use around your brand as positive, neutral or negative. These endpoints return the sentiment score series and the company/source/provider leaderboards.
/analytics/sentiment-metricsGet Sentiment Metrics
Get sentiment time series metrics for chart display
๐ Requires Authorization: Bearer ll_โฆ (or X-API-Key).
Request bodyยท SentimentQuery
| Field | Type | Required | Description |
|---|---|---|---|
company_id | string | Yes | โ |
date_range | any[] | Yes | โ |
time_granularity | string | No | โ |
include_change | boolean | No | โ |
limit | integer | null | No | โ |
rolling_days | integer | null | No | โ |
comparison_days | integer | null | No | โ |
entity_type | string | null | No | โ |
entity_id | string | null | No | โ |
group_by | string[] | null | No | โ |
filters | object | No | โ |
min_datapoints | integer | null | No | โ |
Example request
curl -X POST "https://api.lunalift.ai/analytics/sentiment-metrics" \
-H "Authorization: Bearer ll_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"company_id": "string",
"date_range": []
}'Response ยท 200 OK
Returns a JSON object on success.
/analytics/sentiment-combinedGet Combined Sentiment Metrics
Get combined sentiment metrics: top 10 leaderboard + top 7 chart history in one query
๐ Requires Authorization: Bearer ll_โฆ (or X-API-Key).
Request bodyยท SentimentQuery
| Field | Type | Required | Description |
|---|---|---|---|
company_id | string | Yes | โ |
date_range | any[] | Yes | โ |
time_granularity | string | No | โ |
include_change | boolean | No | โ |
limit | integer | null | No | โ |
rolling_days | integer | null | No | โ |
comparison_days | integer | null | No | โ |
entity_type | string | null | No | โ |
entity_id | string | null | No | โ |
group_by | string[] | null | No | โ |
filters | object | No | โ |
min_datapoints | integer | null | No | โ |
Example request
curl -X POST "https://api.lunalift.ai/analytics/sentiment-combined" \
-H "Authorization: Bearer ll_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"company_id": "string",
"date_range": []
}'Response ยท 200 OK
| Field | Type | Notes |
|---|---|---|
success | boolean | โ |
message | string | โ |
conversationId | string | null | โ |
data | object | null | โ |
/analytics/sentiment-company-leaderboardGet Sentiment Company Leaderboard
Get sentiment company leaderboard
๐ Requires Authorization: Bearer ll_โฆ (or X-API-Key).
Request bodyยท SentimentQuery
| Field | Type | Required | Description |
|---|---|---|---|
company_id | string | Yes | โ |
date_range | any[] | Yes | โ |
time_granularity | string | No | โ |
include_change | boolean | No | โ |
limit | integer | null | No | โ |
rolling_days | integer | null | No | โ |
comparison_days | integer | null | No | โ |
entity_type | string | null | No | โ |
entity_id | string | null | No | โ |
group_by | string[] | null | No | โ |
filters | object | No | โ |
min_datapoints | integer | null | No | โ |
Example request
curl -X POST "https://api.lunalift.ai/analytics/sentiment-company-leaderboard" \
-H "Authorization: Bearer ll_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"company_id": "string",
"date_range": []
}'Response ยท 200 OK
Returns a JSON object on success.
/analytics/sentiment-source-leaderboardGet Sentiment Source Leaderboard
Get sentiment source leaderboard
๐ Requires Authorization: Bearer ll_โฆ (or X-API-Key).
Request bodyยท SentimentQuery
| Field | Type | Required | Description |
|---|---|---|---|
company_id | string | Yes | โ |
date_range | any[] | Yes | โ |
time_granularity | string | No | โ |
include_change | boolean | No | โ |
limit | integer | null | No | โ |
rolling_days | integer | null | No | โ |
comparison_days | integer | null | No | โ |
entity_type | string | null | No | โ |
entity_id | string | null | No | โ |
group_by | string[] | null | No | โ |
filters | object | No | โ |
min_datapoints | integer | null | No | โ |
Example request
curl -X POST "https://api.lunalift.ai/analytics/sentiment-source-leaderboard" \
-H "Authorization: Bearer ll_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"company_id": "string",
"date_range": []
}'Response ยท 200 OK
Returns a JSON object on success.
/analytics/sentiment-provider-performanceGet Sentiment Provider Performance
Get sentiment metrics by AI provider
๐ Requires Authorization: Bearer ll_โฆ (or X-API-Key).
Request bodyยท SentimentQuery
| Field | Type | Required | Description |
|---|---|---|---|
company_id | string | Yes | โ |
date_range | any[] | Yes | โ |
time_granularity | string | No | โ |
include_change | boolean | No | โ |
limit | integer | null | No | โ |
rolling_days | integer | null | No | โ |
comparison_days | integer | null | No | โ |
entity_type | string | null | No | โ |
entity_id | string | null | No | โ |
group_by | string[] | null | No | โ |
filters | object | No | โ |
min_datapoints | integer | null | No | โ |
Example request
curl -X POST "https://api.lunalift.ai/analytics/sentiment-provider-performance" \
-H "Authorization: Bearer ll_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"company_id": "string",
"date_range": []
}'Response ยท 200 OK
Returns a JSON object on success.
